# Uses of Interface
org.bukkit.loot.LootTable

Packages that use LootTable
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.world
`Events` triggered by various `world` states or changes.
org.bukkit.loot
Classes relevant to loot table manipulation and generation.

## Uses of LootTable in org.bukkit

Methods in org.bukkit that return LootTable
Modifier and Type
Method
Description
`static @Nullable LootTable`
Bukkit.`getLootTable(@NotNull NamespacedKey key)`
Gets the specified `LootTable`.
`@Nullable LootTable`
Server.`getLootTable(@NotNull NamespacedKey key)`
Gets the specified `LootTable`.

## Uses of LootTable in org.bukkit.event.world

Methods in org.bukkit.event.world that return LootTable
Modifier and Type
Method
Description
`@NotNull LootTable`
LootGenerateEvent.`getLootTable()`
Get the loot table used to generate loot.
Constructors in org.bukkit.event.world with parameters of type LootTable
Modifier
Constructor
Description
``
`LootGenerateEvent(@NotNull World world, @Nullable Entity entity, @Nullable InventoryHolder inventoryHolder, @NotNull LootTable lootTable, @NotNull LootContext lootContext, @NotNull List<ItemStack> items, boolean plugin)`

## Uses of LootTable in org.bukkit.loot

Methods in org.bukkit.loot that return LootTable
Modifier and Type
Method
Description
`@Nullable LootTable`
Lootable.`getLootTable()`
Gets the Loot Table attached to this block or entity.
`@NotNull LootTable`
LootTables.`getLootTable()`
Get the `LootTable` corresponding to this constant.
Methods in org.bukkit.loot with parameters of type LootTable
Modifier and Type
Method
Description
`void`
Lootable.`setLootTable(@Nullable LootTable table)`
Set the loot table for a container or entity.
`default void`
Lootable.`setLootTable(@Nullable LootTable table, long seed)`
Set the loot table and seed for a container or entity at the same time.